
var gPref = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);

function embBugEvade()
{
// An attempt to beat the Firefox event handler bug - does nothing worthwhile
   try {
      var conciseMode = (gPref.getBoolPref("extensions.embuttons.conciseModeEM"));
   } catch(e){}
}

function embConciseMode()
{
   const OPEN_SIDEBAR = 2;

   try {
      var conciseMode = (gPref.getBoolPref("extensions.embuttons.conciseModeEM"));
      var perfMode = (gPref.getBoolPref("extensions.embuttons.perfModeEM"));
      var extCount = (gPref.getIntPref("extensions.embuttons.count.extension"));
   } catch(e){
      if (conciseMode == undefined) conciseMode = false;
      if (perfMode == undefined) perfMode = false;
      if (extCount == undefined) extCount = e;
   }

   try {
      var openinPref = gPref.getIntPref("extensions.embuttons.extensionsTarget");
   } catch(e){
      var openinPref = OPEN_SIDEBAR;
   }
   var embSidebar = (openinPref == OPEN_SIDEBAR)? true : false;

// Change window title to include number of extensions

   var oldTitle = document.getElementById("extensionsManager").getAttribute("title");
   document.getElementById("extensionsManager").setAttribute("title",oldTitle + " [" + extCount + "]");

// Set or clear Concise Mode and Performance Mode

   var XULNS = "http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul";
   var els = document.getElementsByTagNameNS(XULNS,"extension");
   var i;
   for (i = 0; i < els.length; ++i) {
      els[i].setAttribute("embconcisemode", conciseMode);
      els[i].setAttribute("embperfmode", perfMode);
   }
   document.getElementById("getMore").setAttribute("embconcisemode", conciseMode);
   document.getElementById("extensionsView").setAttribute("embconcisemode", conciseMode);
   document.getElementById("extensionsView").setAttribute("embperfmode", perfMode);
   try {
      document.getElementById("optionsButton").setAttribute("embsidebar", embSidebar);
   } catch(e){
      // This button didn't exist before the Firefox 1.0PR nightlies, so I need to trap the potential error.
      // Thanks to jooliaan for spotting the bug in 0.12.0
   }
}




